'use strict';

const idGenerator = function* () {
    let i = 0;
    while (true)
        yield `nj-id:${i++}:`;
}();
/**
 * Return given id parameter or generate one if nullish
 *
 * @param id
 */
function useId(id) {
    return id !== null && id !== void 0 ? id : idGenerator.next().value;
}

exports.useId = useId;

//# sourceMappingURL=id-261984b9.js.map