'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const properties_utils = require('./properties.utils-10454e12.js');
const slot = require('./slot-9faabb4e.js');

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const Button = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-btn';
        this.as = 'button';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--${this.emphasis}`]: !!this.emphasis,
            [`${this.rootClass}--is-loading`]: !!this.isLoading,
        };
    }
    get elementProps() {
        return this.as === 'a' ? properties_utils.extractHtmlLinkProps(this) : properties_utils.extractHtmlButtonProps(this);
    }
    render() {
        var _a;
        const Element = this.as;
        (_a = this.customIcon) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__icon`);
        return (index.h(Element, Object.assign({ key: '70c7eddd496596fc21fe1ba4aa55d8c63060b3b4', class: this.classes }, this.elementProps), this.isLoading && index.h("nj-spinner", { key: 'a60b2e45a615371e45fe909240769f8503be5f5d' }), this.icon && !this.customIcon && !this.isLoading && index.h("nj-icon", { key: '625a5d78e5961d54844470f053de2b5a022e1a6f', class: `${this.rootClass}__icon`, name: this.icon }), index.h("slot", { key: 'f3bdf3c82a537d7edf538379b8bd2abe058f7db3', name: "custom-icon" }), index.h("slot", { key: 'a7ce759843dda76efaa01ca90242803875dcec39' })));
    }
    get el() { return index.getElement(this); }
};
__decorate([
    slot.Slot('custom-icon')
], Button.prototype, "customIcon", void 0);
Button.style = "nj-button { display: contents }";

exports.nj_button = Button;

//# sourceMappingURL=nj-button.cjs.entry.js.map