'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');

// src/components/avatar/properties.ts
var ICON_ENGIE_PREFIX = "engie_";

const Icon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-icon-material';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            'material-icons': true,
            [`${this.rootClass}--${this.variant === 'inherit' ? 'color-' : ''}${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale === 'inherit' ? 'size-' : ''}${this.scale}`]: !!this.scale,
            [`${this.rootClass}--engie`]: this.name.startsWith(ICON_ENGIE_PREFIX),
        };
    }
    render() {
        return (index.h(index.Host, { key: 'cf5457b4880a948df381eb37e0655b5c5f335baf', "aria-hidden": "true", class: this.classes }, this.name));
    }
};

exports.nj_icon = Icon;

//# sourceMappingURL=nj-icon.cjs.entry.js.map