'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const slot = require('./slot-9faabb4e.js');

const InlineMessage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.onClose = index.createEvent(this, "nj-inline-message-close", 7);
        this.rootClass = 'nj-inline-message';
        this.closable = false;
        this.onCloseHandler = () => {
            this.onClose.emit();
        };
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--action-position-${this.actionPosition}`]: !!this.actionPosition,
        };
    }
    render() {
        return (index.h(index.Host, { key: '669f002b95974d7a31fac5e03d1e5d68c9f54c5f', class: this.classes }, this.hasStatus && index.h("nj-status-indicator", { key: '2568dddd9ed6e64cb419071cc35ad1ee445d99f5', class: `${this.rootClass}__status` }), index.h("div", { key: '802284ddb51b607f78185ae5b3c88ecea1260032', class: `${this.rootClass}__content` }, slot.hasSlot(this.el) ? (index.h("div", { class: `${this.rootClass}__body` }, index.h("slot", null))) : null, slot.hasSlot(this.el, 'action') ? (index.h("div", { class: `${this.rootClass}__action` }, index.h("slot", { name: "action" }))) : null), this.closable && index.h("nj-icon-button", { key: '570276d2ba168941dbc4dda2ea09552ab5a31d76', class: `${this.rootClass}__close`, icon: "close", onClick: this.onCloseHandler, "aria-label": "close", as: "button" })));
    }
    get el() { return index.getElement(this); }
};

exports.nj_inline_message = InlineMessage;

//# sourceMappingURL=nj-inline-message.cjs.entry.js.map