'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const slot = require('./slot-9faabb4e.js');

const Link = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    get classes() {
        const hasLeadingSlot = slot.hasSlot(this.el, 'leading');
        const hasTrailingSlot = slot.hasSlot(this.el, 'trailing');
        return {
            'nj-link': true,
            'nj-link-icon': hasTrailingSlot || hasLeadingSlot,
            'nj-link-icon--before': hasLeadingSlot,
            [`nj-link--${this.variant}`]: !!this.variant,
            [`nj-link--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (index.h("a", { key: '51e4470d9f329eac513d046fffb8188e90d2a2ad', class: this.classes, href: this.href, target: this.target, rel: this.rel, download: this.download }, index.h("slot", { key: 'db29f8f73e0dc5ef15b2f3606fb896e059e28c57', name: "leading" }), index.h("slot", { key: 'dcf7ab3f59dd41273480bc22a640490357f0b8d6' }), index.h("slot", { key: 'f483940feff643031e01d9042ba57d6f85dfc360', name: "trailing" })));
    }
    get el() { return index.getElement(this); }
};

exports.nj_link = Link;

//# sourceMappingURL=nj-link.cjs.entry.js.map