'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');

const Spinner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-spinner';
        /**
         * Aria label, for accessibility reasons
         */
        this.ariaLabel = 'loading';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return index.h(index.Host, { key: 'b28fb11b17fcde77fc4ae15f9f72502fb38cd53d', class: this.classes, "aria-label": this.ariaLabel });
    }
};

exports.nj_spinner = Spinner;

//# sourceMappingURL=nj-spinner.cjs.entry.js.map