import { h, Host } from "@stencil/core";
/**
 * Footer column are components used to display footer content in a vertical way
 *
 * @slot header - Display element as a column header
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export class FooterColumn {
    get classes() {
        return {
            'nj-footer-column': true,
        };
    }
    render() {
        return (h(Host, { key: '43b59ee1684a7340d463fb56dd4a435f5567d37e', class: this.classes }, h("div", { key: '037fc0b1593cdf07fa548e5017f610208b8c3ebd', class: "nj-footer-column__header" }, h("slot", { key: 'c15b0f86f99f29976b59d10a5924e61254902086', name: "header" })), h("slot", { key: '0bb507cd70dec4796d1b82153cf041d5196b35df' })));
    }
    static get is() { return "nj-footer-column"; }
}
//# sourceMappingURL=footer-column.js.map
