const idGenerator = function* () {
    let i = 0;
    while (true)
        yield `nj-id:${i++}:`;
}();
/**
 * Return given id parameter or generate one if nullish
 *
 * @param id
 */
export function useId(id) {
    return id !== null && id !== void 0 ? id : idGenerator.next().value;
}
//# sourceMappingURL=id.js.map
