import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const FooterContent = /*@__PURE__*/ proxyCustomElement(class FooterContent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    get classes() {
        return {
            'nj-footer-card': true,
            [`nj-footer-card--${this.variant}`]: !!this.variant,
        };
    }
    render() {
        return (h(Host, { key: 'f2034609c71e9564d3c92db48023bae0a0b16608', class: this.classes }, h("slot", { key: '1ecf4ff44c9a4650f25811da19686321f23f632f' })));
    }
    static get style() { return "nj-footer-card { display: block }"; }
}, [4, "nj-footer-card", {
        "variant": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-footer-card"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-footer-card":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FooterContent);
            }
            break;
    } });
}
defineCustomElement$1();

const NjFooterCard = FooterContent;
const defineCustomElement = defineCustomElement$1;

export { NjFooterCard, defineCustomElement };

//# sourceMappingURL=nj-footer-card.js.map