import { p as proxyCustomElement, H, h } from './p-d747a52c.js';
import { d as defineCustomElement$2 } from './p-f48ce11a.js';

const FooterItem = /*@__PURE__*/ proxyCustomElement(class FooterItem extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    get classes() {
        return {
            'nj-footer-item': true,
            [`nj-footer-item--padding-${this.padding}`]: !!this.padding,
        };
    }
    render() {
        return (h("nj-link", { key: 'f865e4181718ae8499cbf6b4c1c4f3cfeeb1adb9', class: this.classes, rel: this.rel, target: this.target, href: this.href, download: this.download, scale: this.scale, variant: "contextual" }, h("slot", { key: '5456d9d42bdcf08042e437dd4ad6eecc66e38c57', name: "leading" }), h("slot", { key: '89e9c55058b8b97509511ccb01c4f4e18791657d' }), h("slot", { key: '86d5a82f80ccce3c2a537898d0915f7899a96337', name: "trailing" })));
    }
    static get style() { return "nj-footer-item { display: contents }"; }
}, [4, "nj-footer-item", {
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "scale": [1],
        "padding": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-footer-item", "nj-link"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-footer-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FooterItem);
            }
            break;
        case "nj-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const NjFooterItem = FooterItem;
const defineCustomElement = defineCustomElement$1;

export { NjFooterItem, defineCustomElement };

//# sourceMappingURL=nj-footer-item.js.map