import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const Divider = /*@__PURE__*/ proxyCustomElement(class Divider extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-divider';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--vertical`]: !!this.vertical,
        };
    }
    render() {
        return h(Host, { key: 'a995b88d02ad7d29bc44949cfcf2f88c10315ebf', class: this.classes, role: "separator", "aria-orientation": this.vertical ? 'vertical' : undefined });
    }
}, [0, "nj-divider", {
        "vertical": [4],
        "scale": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-divider"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-divider":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Divider);
            }
            break;
    } });
}
defineCustomElement();

export { Divider as D, defineCustomElement as d };

//# sourceMappingURL=p-46aa19e8.js.map