import { p as promiseResolve, b as bootstrapLazy } from './index-ea5ff4dd.js';
export { s as setNonce } from './index-ea5ff4dd.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.26.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["nj-inline-message",[[4,"nj-inline-message",{"variant":[1],"scale":[1],"actionPosition":[1,"action-position"],"hasStatus":[4,"has-status"],"closable":[4]}]]],["nj-button",[[4,"nj-button",{"as":[1],"emphasis":[1],"variant":[1],"scale":[1],"icon":[1],"isLoading":[4,"is-loading"],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-header",[[4,"nj-header",{"retracted":[4]}]]],["nj-input",[[68,"nj-input",{"inputId":[1,"input-id"],"label":[1],"labelKind":[1,"label-kind"],"scale":[1],"icon":[1],"invalid":[4],"subscript":[1],"subscriptVariant":[1,"subscript-variant"],"passwordVisibleText":[1,"password-visible-text"],"passwordHiddenText":[1,"password-hidden-text"],"passwordShowActionAriaLabel":[1,"password-show-action-aria-label"],"passwordHideActionAriaLabel":[1,"password-hide-action-aria-label"],"value":[1537],"type":[1],"required":[4],"readOnly":[4,"read-only"],"disabled":[4],"isVisible":[32],"togglePasswordVisibility":[64]},null,{"value":["updateValue"]}]]],["nj-footer_8",[[4,"nj-footer-item",{"href":[1],"rel":[1],"target":[1],"download":[8],"scale":[1],"padding":[1]}],[4,"nj-footer",{"variant":[1],"resizeTimeout":[32],"responsiveMode":[32]}],[4,"nj-footer-card",{"variant":[1]}],[4,"nj-footer-column"],[4,"nj-footer-content"],[4,"nj-footer-content-top"],[4,"nj-footer-navigation"],[4,"nj-footer-secondary-navigation",{"copyright":[1]}]]],["nj-icon",[[0,"nj-icon",{"variant":[1],"scale":[1],"name":[1]}]]],["nj-checkbox",[[4,"nj-checkbox",{"inputId":[1,"input-id"],"name":[1],"value":[1],"scale":[1],"subscript":[1],"subscriptVariant":[1,"subscript-variant"],"checked":[1540],"required":[516],"indeterminate":[1540],"disabled":[516],"invalid":[516]}]]],["nj-list-item",[[4,"nj-list-item",{"as":[1],"leadingIcon":[1,"leading-icon"],"trailingIcon":[1,"trailing-icon"],"secondaryText":[1,"secondary-text"],"textDistribution":[1,"text-distribution"],"interactive":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-list-navigation-item",[[4,"nj-list-navigation-item",{"as":[1],"leadingIcon":[1,"leading-icon"],"trailingIcon":[1,"trailing-icon"],"secondaryText":[1,"secondary-text"],"expandable":[4],"expanded":[4],"variant":[1],"textDistribution":[1,"text-distribution"],"selected":[4],"interactive":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-navigation-action",[[4,"nj-navigation-action",{"as":[1],"icon":[1],"variant":[1],"scale":[1],"expandable":[4],"expanded":[4],"href":[1],"rel":[1],"target":[1],"disabled":[4]}]]],["nj-navigation-tab",[[4,"nj-navigation-tab",{"as":[1],"selected":[4],"icon":[1],"controls":[1],"variant":[1],"expandable":[4],"expanded":[4],"href":[1],"rel":[1],"target":[1],"disabled":[4]}]]],["nj-list",[[4,"nj-list",{"hasBorder":[4,"has-border"],"scale":[1]}]]],["nj-ray",[[0,"nj-ray"]]],["nj-link",[[4,"nj-link",{"href":[1],"rel":[1],"target":[1],"download":[8],"variant":[1],"scale":[1]}]]],["nj-spinner",[[0,"nj-spinner",{"variant":[1],"scale":[1],"ariaLabel":[1,"aria-label"]}]]],["nj-status-indicator",[[4,"nj-status-indicator",{"status":[1],"scale":[1]}]]],["nj-icon-button",[[4,"nj-icon-button",{"as":[1],"scale":[1],"icon":[1],"altLabel":[1,"alt-label"],"variant":[1],"pressed":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-divider_2",[[0,"nj-divider",{"vertical":[4],"scale":[1]}],[4,"nj-tabs",{"scale":[1]}]]]], options);
});

//# sourceMappingURL=fluid.js.map