import { FooterProperties } from '@engie-group/fluid-types';
/**
 * Footer is mainly used for links and legal information.
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export declare class Footer implements FooterProperties {
    private readonly RESPONSIVE_CSS_VAR;
    variant?: FooterProperties['variant'];
    private resizeTimeout?;
    private responsiveMode?;
    private get classes();
    private getCssVariable;
    private updateMode;
    private handleResize;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
