import { IconButtonProps } from './types';
/**
 * Icon buttons are a variation of buttons. Use them only to trigger actions.
 *
 * @slot custom-icon - Replace icon with a custom element
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.3
 */
export declare class IconButton implements IconButtonProps {
    private rootClass;
    as?: IconButtonProps['as'];
    scale?: IconButtonProps['scale'];
    icon?: IconButtonProps['icon'];
    altLabel?: IconButtonProps['altLabel'];
    variant?: IconButtonProps['variant'];
    pressed?: IconButtonProps['pressed'];
    href: IconButtonProps['href'];
    rel: IconButtonProps['rel'];
    target: IconButtonProps['target'];
    download: IconButtonProps['download'];
    type: IconButtonProps['type'];
    disabled: IconButtonProps['disabled'];
    form: IconButtonProps['form'];
    name: IconButtonProps['name'];
    value: IconButtonProps['value'];
    private get classes();
    private get elementProps();
    render(): any;
}
