import { SpinnerProperties } from '@engie-group/fluid-types';
/**
 * Spinner allows the user to know when the system is in progress and when he will end. The spinner is used to indicate the current status of a loading screen or a loading data.
 *
 * @since 0.1.0-next.1
 * @lastmodified 0.1.0-next.1
 */
export declare class Spinner implements SpinnerProperties {
    private readonly rootClass;
    variant: SpinnerProperties['variant'];
    scale: SpinnerProperties['scale'];
    /**
     * Aria label, for accessibility reasons
     */
    ariaLabel: ARIAMixin['ariaLabel'];
    private get classes();
    render(): any;
}
