'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.26.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('fluid.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["nj-inline-message.cjs",[[4,"nj-inline-message",{"variant":[1],"scale":[1],"actionPosition":[1,"action-position"],"hasStatus":[4,"has-status"],"closable":[4]}]]],["nj-button.cjs",[[4,"nj-button",{"as":[1],"emphasis":[1],"variant":[1],"scale":[1],"icon":[1],"isLoading":[4,"is-loading"],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-header.cjs",[[4,"nj-header",{"retracted":[4]}]]],["nj-input.cjs",[[68,"nj-input",{"inputId":[1,"input-id"],"label":[1],"labelKind":[1,"label-kind"],"scale":[1],"icon":[1],"invalid":[4],"subscript":[1],"subscriptVariant":[1,"subscript-variant"],"passwordVisibleText":[1,"password-visible-text"],"passwordHiddenText":[1,"password-hidden-text"],"passwordShowActionAriaLabel":[1,"password-show-action-aria-label"],"passwordHideActionAriaLabel":[1,"password-hide-action-aria-label"],"value":[1537],"type":[1],"required":[4],"readOnly":[4,"read-only"],"disabled":[4],"isVisible":[32],"togglePasswordVisibility":[64]},null,{"value":["updateValue"]}]]],["nj-footer_8.cjs",[[4,"nj-footer-item",{"href":[1],"rel":[1],"target":[1],"download":[8],"scale":[1],"padding":[1]}],[4,"nj-footer",{"variant":[1],"resizeTimeout":[32],"responsiveMode":[32]}],[4,"nj-footer-card",{"variant":[1]}],[4,"nj-footer-column"],[4,"nj-footer-content"],[4,"nj-footer-content-top"],[4,"nj-footer-navigation"],[4,"nj-footer-secondary-navigation",{"copyright":[1]}]]],["nj-icon.cjs",[[0,"nj-icon",{"variant":[1],"scale":[1],"name":[1]}]]],["nj-checkbox.cjs",[[4,"nj-checkbox",{"inputId":[1,"input-id"],"name":[1],"value":[1],"scale":[1],"subscript":[1],"subscriptVariant":[1,"subscript-variant"],"checked":[1540],"required":[516],"indeterminate":[1540],"disabled":[516],"invalid":[516]}]]],["nj-list-item.cjs",[[4,"nj-list-item",{"as":[1],"leadingIcon":[1,"leading-icon"],"trailingIcon":[1,"trailing-icon"],"secondaryText":[1,"secondary-text"],"textDistribution":[1,"text-distribution"],"interactive":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-list-navigation-item.cjs",[[4,"nj-list-navigation-item",{"as":[1],"leadingIcon":[1,"leading-icon"],"trailingIcon":[1,"trailing-icon"],"secondaryText":[1,"secondary-text"],"expandable":[4],"expanded":[4],"variant":[1],"textDistribution":[1,"text-distribution"],"selected":[4],"interactive":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-navigation-action.cjs",[[4,"nj-navigation-action",{"as":[1],"icon":[1],"variant":[1],"scale":[1],"expandable":[4],"expanded":[4],"href":[1],"rel":[1],"target":[1],"disabled":[4]}]]],["nj-navigation-tab.cjs",[[4,"nj-navigation-tab",{"as":[1],"selected":[4],"icon":[1],"controls":[1],"variant":[1],"expandable":[4],"expanded":[4],"href":[1],"rel":[1],"target":[1],"disabled":[4]}]]],["nj-list.cjs",[[4,"nj-list",{"hasBorder":[4,"has-border"],"scale":[1]}]]],["nj-ray.cjs",[[0,"nj-ray"]]],["nj-link.cjs",[[4,"nj-link",{"href":[1],"rel":[1],"target":[1],"download":[8],"variant":[1],"scale":[1]}]]],["nj-spinner.cjs",[[0,"nj-spinner",{"variant":[1],"scale":[1],"ariaLabel":[1,"aria-label"]}]]],["nj-status-indicator.cjs",[[4,"nj-status-indicator",{"status":[1],"scale":[1]}]]],["nj-icon-button.cjs",[[4,"nj-icon-button",{"as":[1],"scale":[1],"icon":[1],"altLabel":[1,"alt-label"],"variant":[1],"pressed":[4],"href":[1],"rel":[1],"target":[1],"download":[8],"type":[1],"disabled":[4],"form":[1],"name":[1],"value":[1]}]]],["nj-divider_2.cjs",[[0,"nj-divider",{"vertical":[4],"scale":[1]}],[4,"nj-tabs",{"scale":[1]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=fluid.cjs.js.map