'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');

const StatusIndicator = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-status-indicator';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.status}`]: !!this.status,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    componentWillRender() {
        this.contentNodes = Array.from(this.el.childNodes).filter(node => node.nodeType !== 8); // filter out comment nodes
    }
    render() {
        return (index.h(index.Host, { key: '6ae18aa809fb8f2562ff4438941052bc5e590a43', class: this.classes }, index.h("div", { key: 'fce04e109882b4c87c0619e1684e53045e5c6a4c', class: `${this.rootClass}__svg` }), this.contentNodes.length > 0 ? (index.h("div", { class: `${this.rootClass}__text` }, index.h("slot", null))) : null));
    }
    get el() { return index.getElement(this); }
};
StatusIndicator.style = "nj-status-indicator {\n      display: contents;\n    }";

exports.nj_status_indicator = StatusIndicator;

//# sourceMappingURL=nj-status-indicator.cjs.entry.js.map