import { h, Host } from "@stencil/core";
/**
 * Footer content top handle displaying of a logo and a baseline
 *
 * @slot logo - Place element at the logo position
 * @slot baseline - Place element at the baseline position
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export class FooterContent {
    render() {
        return (h(Host, { key: '39d4055bbd71142dc8c81d1ec4549ac754f7dece', class: "nj-footer-content-top" }, h("div", { key: 'e789ab0ec67427851eb300ed1d42182ac166618a', class: "nj-footer-content-top__logo-wrapper" }, h("slot", { key: 'd3865aefb990ddc55ce66276c4113a9cf76f34b9', name: "logo" }), h("slot", { key: '55d9fb1ac4e451f2c78b33e8c2c02237f33eccae', name: "baseline" })), h("slot", { key: '559d6aad19b52f83144bb93a22398b2416da568f' })));
    }
    static get is() { return "nj-footer-content-top"; }
}
//# sourceMappingURL=footer-content-top.js.map
