var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h, Host } from "@stencil/core";
import { Slot } from "../../../utils/slot";
/**
 * @slot controls
 * @slot links
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export class FooterSecondaryNavigation {
    constructor() {
        this.rootClass = 'nj-footer-secondary-navigation';
    }
    addClasses() {
        var _a, _b;
        (_a = this.controls) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__controls`);
        (_b = this.links) === null || _b === void 0 ? void 0 : _b.classList.add(`${this.rootClass}__links`);
    }
    render() {
        return (h(Host, { key: '75f889cf46b821359244c91d6305fcb31178937c', class: this.rootClass }, h("slot", { key: '97c1eead21b0b3e5dea4d11b16b71ce954999a4a', name: "controls" }), h("slot", { key: '5d3b007663d3f1f209f7c2c978a6fa5608692ed3', name: "links" }), h("div", { key: '7bbcc8f573e9d608eccc1d73ecabd14224625528', class: `${this.rootClass}__copyright` }, this.copyright)));
    }
    componentDidRender() {
        this.addClasses();
    }
    static get is() { return "nj-footer-secondary-navigation"; }
    static get properties() {
        return {
            "copyright": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string | undefined",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "copyright",
                "reflect": false
            }
        };
    }
    static get elementRef() { return "el"; }
}
__decorate([
    Slot('controls')
], FooterSecondaryNavigation.prototype, "controls", void 0);
__decorate([
    Slot('links')
], FooterSecondaryNavigation.prototype, "links", void 0);
//# sourceMappingURL=footer-secondary-navigation.js.map
