import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';
import { S as Slot } from './p-0306c092.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const FooterSecondaryNavigation = /*@__PURE__*/ proxyCustomElement(class FooterSecondaryNavigation extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-footer-secondary-navigation';
    }
    addClasses() {
        var _a, _b;
        (_a = this.controls) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__controls`);
        (_b = this.links) === null || _b === void 0 ? void 0 : _b.classList.add(`${this.rootClass}__links`);
    }
    render() {
        return (h(Host, { key: '75f889cf46b821359244c91d6305fcb31178937c', class: this.rootClass }, h("slot", { key: '97c1eead21b0b3e5dea4d11b16b71ce954999a4a', name: "controls" }), h("slot", { key: '5d3b007663d3f1f209f7c2c978a6fa5608692ed3', name: "links" }), h("div", { key: '7bbcc8f573e9d608eccc1d73ecabd14224625528', class: `${this.rootClass}__copyright` }, this.copyright)));
    }
    componentDidRender() {
        this.addClasses();
    }
    get el() { return this; }
}, [4, "nj-footer-secondary-navigation", {
        "copyright": [1]
    }]);
__decorate([
    Slot('controls')
], FooterSecondaryNavigation.prototype, "controls", void 0);
__decorate([
    Slot('links')
], FooterSecondaryNavigation.prototype, "links", void 0);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-footer-secondary-navigation"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-footer-secondary-navigation":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FooterSecondaryNavigation);
            }
            break;
    } });
}
defineCustomElement$1();

const NjFooterSecondaryNavigation = FooterSecondaryNavigation;
const defineCustomElement = defineCustomElement$1;

export { NjFooterSecondaryNavigation, defineCustomElement };

//# sourceMappingURL=nj-footer-secondary-navigation.js.map