import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const List = /*@__PURE__*/ proxyCustomElement(class List extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '66ba00feceb495cacf62e88bd502c53e6afacca7', class: this.classes, role: "list" }, h("slot", { key: '4dc61e4a06ba5412b34e581318ef471fda086978' })));
    }
    get classes() {
        const rootClass = 'nj-list';
        return {
            [rootClass]: true,
            [`${rootClass}--${this.scale}`]: !!this.scale,
            [`${rootClass}--has-border`]: !!this.hasBorder,
        };
    }
}, [4, "nj-list", {
        "hasBorder": [4, "has-border"],
        "scale": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-list"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-list":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, List);
            }
            break;
    } });
}
defineCustomElement$1();

const NjList = List;
const defineCustomElement = defineCustomElement$1;

export { NjList, defineCustomElement };

//# sourceMappingURL=nj-list.js.map