import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const Tabs = /*@__PURE__*/ proxyCustomElement(class Tabs extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-tabs';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h(Host, { key: 'eac2da71037474b50a1f26b6d57b369294a54ba3', role: "tablist", class: this.classes }, h("slot", { key: 'ee5dec9de031f82180629e934898d66a88cd19f0' })));
    }
}, [4, "nj-tabs", {
        "scale": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-tabs"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-tabs":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Tabs);
            }
            break;
    } });
}
defineCustomElement();

export { Tabs as T, defineCustomElement as d };

//# sourceMappingURL=p-9b3265ca.js.map