import { r as registerInstance, h, F as Fragment } from './index-ea5ff4dd.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './properties.utils-81ed4256.js';

const IconButton = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-icon-btn';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    render() {
        var _a;
        const Element = (_a = this.as) !== null && _a !== void 0 ? _a : 'a';
        return (h(Element, Object.assign({ key: 'eabc55fdb696242b0eb50cc6a1f35d02f553ce53', class: this.classes }, this.elementProps, { "aria-pressed": this.pressed, "aria-label": this.altLabel }), this.icon && (h(Fragment, { key: '979da70aeed743009c761e545c3803fd710ec555' }, h("nj-icon", { key: '243118c42fa4fc43ee012a2a54258fc55b0fb3bb', class: "nj-icon-btn__icon", name: this.icon }))), h("slot", { key: 'a09e35d2599d5a7b7fb74f41c1f601911f5f85e4', name: "custom-icon" })));
    }
};
IconButton.style = "nj-icon-button { display: contents }";

export { IconButton as nj_icon_button };

//# sourceMappingURL=nj-icon-button.entry.js.map