import { DividerProperties } from '@engie-group/fluid-types';
/**
 * A divider is a component used to separate two elements at the same level
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.3
 */
export declare class Divider implements DividerProperties {
    private rootClass;
    vertical: DividerProperties['vertical'];
    scale: DividerProperties['scale'];
    get classes(): {
        [x: string]: boolean;
    };
    render(): any;
}
