import { IconButtonProperties } from '@engie-group/fluid-types';
import { HtmlButtonProperties } from '../../types/html-button.properties';
import { HtmlLinkProperties } from '../../types/html-link.properties';
type IconButtonElementType = 'a' | 'button';
export type IconButtonProps = IconButtonProperties & HtmlButtonProperties & HtmlLinkProperties & {
    /**
     * The element tag to render
     */
    as?: IconButtonElementType;
    /**
     * Icon alternative label
     */
    altLabel?: string;
};
export {};
