import { InlineMessageProperties } from '@engie-group/fluid-types';
import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot action - Optional inline message actions slot. You can pass any element (recommended `nj-link` or `nj-icon-button`).
 *
 * @since 0.1.0-next.1
 * @lastmodified 0.1.0-next.1
 */
export declare class InlineMessage implements InlineMessageProperties {
    private readonly rootClass;
    el: HTMLElement;
    variant: InlineMessageProperties['variant'];
    scale: InlineMessageProperties['scale'];
    actionPosition: InlineMessageProperties['actionPosition'];
    hasStatus: InlineMessageProperties['hasStatus'];
    closable: boolean;
    onClose: EventEmitter<void>;
    private get classes();
    onCloseHandler: () => void;
    render(): any;
}
